Unity 4.3: Which version of Mono is currently being used?

Mono the .NET development framework, not MonoDevelop the IDE.

All versions of Unity 4.x use Mono 2.6.5.